"Having a problem with the Repo look no further..."

Older versions of Ultimate Edition


"Having a problem with the Repo look no further..."

Postby DaddyX3 » Wed Oct 15, 2008 8:14 pm

I have been in communications with TheeMahn in regards to the issues that have been brought to my attention. I've gotten a few replies from him explaining what is happening and what is going on to rectify the problem. I see no better explanation about whats happening than to just quote him on some things:

O.K. here is what I have done. I have uploaded an exact image of what the repo was before there were problems, I then took the time to update virtually every package (downloaded and uploaded every package that can be downloaded from getdeb.net)... Updated package.gz to include these new packages (some must be broken, not my fault getdebs, but ultimately is my fault because I am hosting them).


What does this mean? I believe that he is going beyond the call of duty (building 2.0 - maintaining repositories- repairing a down forum - answering posts) He's now going to update virtually all packages on his repo, so we're not left in the stone-ages ;)

O.K. here is what I have now done, since that post.

I have replaced the packages.gz with the original, created a "test" under dists for x86 & x64


This means that we need to help out TheeMahn and notify him of any broken packages that you might run across and post them back here. Sorry for the mix up with things, but he is truly one Mahn.

How do I help out with this process? You can add the 'custom repo' to your sources.list and then see if all is good now :)

1. Backup sources list:
Code: Select all
sudo cp /etc/apt/sources.list /etc/apt/sources.list.bak


2. Add the 'test repo' to your sources.list:
Code: Select all
sudo echo "deb http://repoubuntusoftware.info/ test all">>/etc/apt/sources.list


3. Refresh your software sources list:
Code: Select all
sudo apt-get update


4.
Install what you wish and report broken packages / problems with packages please ensure they came from my repo. I do not want to fix something that is broken on mediabuntu's repo for example (so please use only standard repos and my repo).

Thanks to those that help out,

TheeMahn


AMSN x64: Caught by strider5236
Description: getdeb failed to add Replaces: amsn-data in the debian control file
Status: fixed
Code: Select all
sudo apt-get update
sudo apt-get install amsn


Thanks for bring it to my attention Strider
Intel Core 2 Quad Q9300 2.5GHz 45nm/Gigabyte EP35C-DS3R M.B. w/ddr3 1333
G.Skill 2X1GB DDR3 1333MHz/Gigabyte 8800GT PCIe 2.0 512MB GDDR3 OC'd to 700Mhz/ WD160 gig, 2- WD250 gig in RAID-0 (500GB), WD640 gig e-SATA external

AMD 64 X2 3800+/ASUS A8N32-SLI Deluxe/G.Skill 2X1GB Matched Pair ddr400
/EVGA 6800GS Nvidia Graphics 256MB/WD160gig drive

HTPC Box:AMD 64 X2 4400+/ BIOSTAR TF7050PV HDMI MicroATX/G.Skill 2X1GB /Matched Pair DDR800/Integrated video and audio/WD160gig drive
User avatar
DaddyX3
U.E. God
U.E. God
 
Posts: 2407
Joined: Wed Oct 17, 2007 9:22 am
Location: Central Coast - California
Age: 43
Operating System: Ultimate Edition 2.3 32 BIT



Re: "Having a problem with the Repo look no further..."

Postby DaddyX3 » Thu Oct 16, 2008 12:50 am

Thanks for the info strider - now fix it!!! :lol: :lol: :lol:
No, just kidd'n. We all should post which Ultimate Edition version and what bit as well (32 -64). Thanks.

I take it your running 64-bit right strider?
Intel Core 2 Quad Q9300 2.5GHz 45nm/Gigabyte EP35C-DS3R M.B. w/ddr3 1333
G.Skill 2X1GB DDR3 1333MHz/Gigabyte 8800GT PCIe 2.0 512MB GDDR3 OC'd to 700Mhz/ WD160 gig, 2- WD250 gig in RAID-0 (500GB), WD640 gig e-SATA external

AMD 64 X2 3800+/ASUS A8N32-SLI Deluxe/G.Skill 2X1GB Matched Pair ddr400
/EVGA 6800GS Nvidia Graphics 256MB/WD160gig drive

HTPC Box:AMD 64 X2 4400+/ BIOSTAR TF7050PV HDMI MicroATX/G.Skill 2X1GB /Matched Pair DDR800/Integrated video and audio/WD160gig drive
User avatar
DaddyX3
U.E. God
U.E. God
 
Posts: 2407
Joined: Wed Oct 17, 2007 9:22 am
Location: Central Coast - California
Age: 43
Operating System: Ultimate Edition 2.3 32 BIT



Re: "Having a problem with the Repo look no further..."

Postby jnalli » Thu Oct 16, 2008 2:37 am

Haven't tried this yet but will try..........
Windows Vista
ASUS MB Compaq Presario Computer
AMD Athlon 64
Nvidia Geforce 210
4 Gb RAM
250 Gb SATA drive
User avatar
jnalli
U.E. College Professor
U.E. College Professor
 
Posts: 209
Joined: Wed Jul 23, 2008 4:07 am
Location: Phoenix, AZ
Age: 48
Operating System: Ultimate Edition 3.2 64 BIT



Re: "Having a problem with the Repo look no further..."

Postby fingal12 » Thu Oct 16, 2008 4:07 am

Ok i have tried that and it worked very well. I got 21 updates and no problems at all. :D

Oh, and I have UU 1.9 x64 by the way.
Linux Mint 8 x-64
motherboard: asus P5QL-E
Intel Core 2 Quad Q8200,kingston ddr2 KHX6400d2/2G * 4= 8 gig ram
5 sata disks:1x250gig,1x300gig, 2x500gig, 1x400gig
asus en8500gt
psu: corsair 750w tx atx
User avatar
fingal12
U.E. Knowledgable
U.E. Knowledgable
 
Posts: 27
Joined: Thu Feb 07, 2008 4:07 am
Operating System: Ultimate Edition KDE4



Re: "Having a problem with the Repo look no further..."

Postby Cab » Thu Oct 16, 2008 1:06 pm

dpkg: error processing /var/cache/apt/archives/ultimate-edition-theme-pack-2_2.0_all.deb (--unpack):
trying to overwrite `/usr/share/backgrounds/ultimate_edition_2.0.png', which is also in package ultimate-edition-theme-1.9.9
dpkg-deb: subprocess paste killed by signal (Broken pipe)
Errors were encountered while processing:
/var/cache/apt/archives/ultimate-edition-theme-pack-2_2.0_all.deb

I have deleted the file purged and reinstalled the theme package and I still get this error. :? I talked to
Thee Mahn and it (the repo) has been fixed but I have to figure out mine now..
I'll give up and update to 2.0 soon anyway but thought this was a weird one. I would share with you all.
Cab
Mother Board: ASROCK Z77 Extreme 4
CPU: Intel I7 3770 IVY BRIDGE @ 4.4 currently
Memory: 16GB DDR3 Corsair Vengence
Video Card: EVGA GTX 680 OC 4GB
Hard Drives: OCZ Vertex 120gb SSD, OCZ Vertex 240gb 3X500GB SATAII,1x1TB Network Drive
I'm in Southern New Mexico, USA (not Mexico)
Image
User avatar
Cab
Site Admin
 
Posts: 625
Joined: Sun Feb 24, 2008 2:06 pm
Location: New Mexico, USA
Age: 51
Operating System: Ultimate Edition Beta Tester



Re: "Having a problem with the Repo look no further..."

Postby fingal12 » Thu Oct 16, 2008 1:52 pm

:D I found it somewhere on the internet! <BREW> <BREW> <BREW> :lol:
Linux Mint 8 x-64
motherboard: asus P5QL-E
Intel Core 2 Quad Q8200,kingston ddr2 KHX6400d2/2G * 4= 8 gig ram
5 sata disks:1x250gig,1x300gig, 2x500gig, 1x400gig
asus en8500gt
psu: corsair 750w tx atx
User avatar
fingal12
U.E. Knowledgable
U.E. Knowledgable
 
Posts: 27
Joined: Thu Feb 07, 2008 4:07 am
Operating System: Ultimate Edition KDE4



Re: "Having a problem with the Repo look no further..."

Postby TheeMahn » Thu Oct 16, 2008 2:08 pm

strider5236 wrote:Hey DaddyX3,

Just added to my repo and got some new updates, 22 in all. I went ahead and installed them and at the end got this error.

E: /var/cache/apt/archives/amsn_0.97.2-1~getdeb1_amd64.deb: trying to overwrite `/usr/share/doc/amsn/READMEpt_BR', which is also in package amsn-data
E: /var/cache/apt/archives/transmission-gtk_1.34-1~getdeb1_amd64.deb: trying to overwrite `/usr/share/transmission/web/javascript/transmission.js', which is also in package transmission-common

Will let you know if I encounter any more. Just added to the repo, so I am just starting to check things out.


Ok this is indeed a problem with the package on my repo (previous build is built against amsn-data)... Temporary fix:
Code: Select all
sudo apt-get remove --purge amsn-data
sudo apt-get install amsn


one way I could fix this is to extract the deb edit the control file and add Replaces: amsn-data This is an error on getdebs department. I will look into fixing it permanently, already on it :). Thanks for bringing this bug to my attention. After I fix amsn I will look into transmission.

Fixed (will be uploading in a few minutes please feel free to test it as I have):
theemahn@SledgeHammer:~$ sudo dpkg -i amsn_0.97.2-1~getdeb1_amd64.deb
Selecting previously deselected package amsn.
(Reading database ... 367930 files and directories currently installed.)
Unpacking amsn (from amsn_0.97.2-1~getdeb1_amd64.deb) ...
Replacing files in old package amsn-data ...
Setting up amsn (0.97.2-1~getdeb1) ...

Processing triggers for man-db ...
Processing triggers for menu ...
theemahn@SledgeHammer:~$


Looking into transmission (will upload both when they are fixed).

Well the error I am seeing with transmission:
The following NEW packages will be installed:
transmission transmission-cli transmission-common
0 upgraded, 3 newly installed, 0 to remove and 211 not upgraded.
Need to get 788kB of archives.
After this operation, 1909kB of additional disk space will be used.
Do you want to continue [Y/n]? Y
Get:1 http://us.archive.ubuntu.com intrepid/main transmission-common 1.34-0ubuntu2 [143kB]
Get:2 http://us.archive.ubuntu.com intrepid/universe transmission-cli 1.34-0ubuntu2 [644kB]
Get:3 http://us.archive.ubuntu.com intrepid/universe transmission 1.34-0ubuntu2 [922B]


That is a bug on intrepids repos, are you receiving the same? It is uploaded I tried it and it now works.
Code: Select all
sudo apt-get update
sudo apt-get install amsn


Is there a bug in x86 as well? does anyone here run x86 based Ultimate Edition with the test repo enabled that can check this for me?

TheeMahn
Attachments
works.png
Home of Ultimate Edition. Got a question? Please review the F.A.Q. Browse the How to section.

Main O/S: Builder of O/S Guess.
Mainboard: ASUS Hero VI (AM4)
CPU: AMD 1700X water cooled (Deepcool Captain Genome Cooling tower)
Ram: 16 GB GSkill Trident RGB Series Dual Channel DDR4 3200
Video: MSI RX470 8GB Gaming card.
Hard Disks: MASSIVE on the network.(10 Gigabit, 48 port, multiple servers)
Monitors: 4K Samsung 28", HannsG HH281, Various others
750 Watt modular PSU (Rosswell)
1100 Watt Amp & 4 X 600 Watt speakers

Servers in the basement.
User avatar
TheeMahn
Site Admin
 
Posts: 4199
Joined: Fri Oct 12, 2007 10:02 am
Location: U.S.A.
Age: 47
Operating System: Ultimate Edition Developer



Re: "Having a problem with the Repo look no further..."

Postby greg » Thu Oct 16, 2008 4:34 pm

I am not sure what this means or if this a problem of mine but here is what i get


W: Failed to fetch http://ubuntusoftware.info/dists/hardy/Release.gpg The HTTP server sent an invalid reply header

W: Failed to fetch http://ubuntusoftware.info/dists/hardy/ ... -en_CA.bz2 Bad header line

W: Failed to fetch http://ubuntusoftware.info/dists/hardy/ ... ackages.gz 0

E: Some index files failed to download, they have been ignored, or old ones used instead.

thats through the soures list in asministration not terminal, i tried what you said in terminal but i get permission denied error when inputing the second line.
bash: /etc/apt/sources.list: Permission denied


this is what i get when i update

E: /var/cache/apt/archives/amsn_0.97.2-1~getdeb1_amd64.deb: trying to overwrite `/usr/share/doc/amsn/READMEpt_BR', which is also in package amsn-data

W: Failed to fetch http://repoubuntusoftware.info/./ubuntu ... a1_all.deb
404 Not Found

Like i said i don't know if that helps or i am the one needing help? I am running UE2.0/64bit
greg
U.E. Newbie
U.E. Newbie
 
Posts: 12
Joined: Thu Oct 09, 2008 9:02 am
Location: Winnipeg, M.B., Canada
Age: 45
Operating System: Ultimate Edition 2.1 32 BIT



Re: "Having a problem with the Repo look no further..."

Postby Zero Prime » Thu Oct 16, 2008 6:47 pm

greg wrote:this is what i get when i update

E: /var/cache/apt/archives/amsn_0.97.2-1~getdeb1_amd64.deb: trying to overwrite `/usr/share/doc/amsn/READMEpt_BR', which is also in package amsn-data

W: Failed to fetch http://repoubuntusoftware.info/./ubuntu ... a1_all.deb
404 Not Found

Like i said i don't know if that helps or i am the one needing help? I am running UE2.0/64bit


I got the same problem here. Any answers anyone, or is this repo temporarily down?
Badges? We don't need no stinking badges!
Windows 7 64bit / Ultimate Edition 2.5
AMD Phenom 945 3.0Ghz Quad core
Foxconn A7GM-S AM2+/AM2 AMD 780G HDMI
HIS ATI 4670 1Gig
6GB DDR2 SDRAM DDR2 800
Seagate 250gig HD
Thermaltake Xaser V case
User avatar
Zero Prime
U.E. Master
U.E. Master
 
Posts: 585
Joined: Wed Oct 17, 2007 2:12 pm
Location: Sumter, SC
Age: 42
Operating System: Ultimate Edition 3.2 64 BIT



Re: "Having a problem with the Repo look no further..."

Postby DaddyX3 » Thu Oct 16, 2008 10:46 pm

greg wrote:Like i said i don't know if that helps or i am the one needing help? I am running UE2.0/64bit

You are not running Ultimate Edition 2.0 - no one here is except a few admins/mods. It has not been released yet. You have to upsplash/ wallpaper for it only.

TheeMahn, I don't have Ultimate Edition 1.9 32-bit installed here at home but I do have Hardy 32-bit installed right now - I will check it against your repo. I will aslo check tomorrow at work on Ultimate Edition 1.9 32-bit.

UPDATE:
Tried to add the repo to my list and did an update, It through this back at me:
Reading package lists... Error!
E: Problem parsing dependency Depends
E: Error occurred while processing btnx (NewVersion1)
E: Problem with MergeList /var/lib/apt/lists/repoubuntusoftware.info_dists_test_all_binary-i386_Packages
E: The package lists or status file could not be parsed or opened.


Wow, am I the first one to test this on 32-bit? LOL! I see you are all big-time 64-bit fans :!: <BREW>
Intel Core 2 Quad Q9300 2.5GHz 45nm/Gigabyte EP35C-DS3R M.B. w/ddr3 1333
G.Skill 2X1GB DDR3 1333MHz/Gigabyte 8800GT PCIe 2.0 512MB GDDR3 OC'd to 700Mhz/ WD160 gig, 2- WD250 gig in RAID-0 (500GB), WD640 gig e-SATA external

AMD 64 X2 3800+/ASUS A8N32-SLI Deluxe/G.Skill 2X1GB Matched Pair ddr400
/EVGA 6800GS Nvidia Graphics 256MB/WD160gig drive

HTPC Box:AMD 64 X2 4400+/ BIOSTAR TF7050PV HDMI MicroATX/G.Skill 2X1GB /Matched Pair DDR800/Integrated video and audio/WD160gig drive
User avatar
DaddyX3
U.E. God
U.E. God
 
Posts: 2407
Joined: Wed Oct 17, 2007 9:22 am
Location: Central Coast - California
Age: 43
Operating System: Ultimate Edition 2.3 32 BIT

Next

Return to Archive

Who is online

Users browsing this forum: No registered users and 1 guest